Subject: Re: a light swell
From: [email-masked]
To: Mike McCool <[email-masked]>
Cc: [email-masked]
Date: Sun, 22 Oct 95 14:14:57 PDT

On Sun, 22 Oct 1995, Mike McCool <[email-masked]> wrote:
>> 
>> 	Texture velocity moves the CENTER of the ripple effect, the parameter 
>> that is set by TEXTURE CENTER.  Actually, you should never have to move this 
for 
>> a "straight" ripple effect, although it might be desirable for special 
effects.
>> 
>> 	For ripple speed, I would think that the WAVE SPEED would be the 
>> important parameter.  For height, one would use AMPLITUDE.
>> 
>
>Hey Jeri, 
>
>	Your suggestion reminds me that I should go back and figure it 
>out via ripples.  But I really wasn't satisfied with the procedural 
>texture look.  
>	
>	I decided to try and use the same texture map as a Displacement 
>and a Planar image map, both with the same texture velocities.  This 
>yielded a more realistic looking water surface.  
>
>	But to get an actual swell effect, I may have to take your advice 
>and go back to a procedural ripple map.  Or a combination . . . 
>
>	Thanks, Jeri. 

You're welcome, but it is "Jeric".  (Actually, it is "J. Eric".)

If you are looking for a mid-ocean type "swell", rather than a ripply wave, try 

A) using a image map.  A single gradient bar across a black background would 
work.  Wave speed using a map IS the texture velocity.  The map tiles, of 
course, so you get repeating waves.  Advantage here is all the waves are 
parallel.

B)  Using RIPPLE, if you are trying for parallel waves, you want the ripple 
center, the texture center, 'way out away from the surface it is rippling.  You 
can think of center as being "where the rocks hit the surface of the pond", 
although actually the ripples occur in 3d space.  The farther away from the 
rocks, the more parallel the waves.

>--
>Mike McCool <[email-masked]> sent this message.

****************************************************************************
** [email-masked]        		   |  Synergy Graphix & Animation
** Welcome to Seattle, have a latte'!      | Technical Subjects a Specialty!
** Don't make me force it down your throat.....
****************************************************************************
--
[email-masked] sent this message.
To Post a Message           : [email-masked]
Un/Subscription Requests To : [email-masked]
(DIGEST)                 or : [email-masked]
Administrative Items To     : [email-masked]